GET /events
1 min
GET
https://api.cmp.optimizely.com/v3/events
Query Parameters
- start_datestringExampleDescription
- end_datestringExampleDescription
- campaign_idstringExampleDescription
- offsetintegerExampleDescriptionDefault0Minimum0
- page_sizeintegerExampleDescriptionDefault10Minimum1Maximum100
Responses
200
- object
- dataEventResponse[]requiredDescription
- idstringrequiredExampleDescription
- titlestringrequiredExampleDescription
- descriptionstringrequiredExampleDescription
- campaign_idstringrequiredExampleDescription
- start_datestringrequiredExampleDescription
- end_datestringrequiredExampleDescription
- is_all_daybooleanrequiredDescription
- is_archivedbooleanrequiredDescription
- created_bystringrequiredExampleDescription
- reference_idstringrequiredExampleDescription
- linksobjectrequiredDescription
- selfstringrequiredExampleDescription
- campaignstringrequiredExampleDescription
- paginationobjectrequired
- Pagination
- nextstringrequiredExampleDescription
- previousstringrequiredDescription
- object
- nextstringExample
401
- ErrorExample
{ "message": "Unauthorized" }Description- messagestringrequiredExampleDescription
- errorsmap<string, string>Description
403
- ErrorExample
{ "message": "You do not have the permission to perform this operation" }Description- messagestringrequiredExampleDescription
- errorsmap<string, string>Description
curl
curl --request GET \
--url 'https://api.cmp.optimizely.com/v3/events?offset=5&page_size=10' \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.cmp.optimizely.com/v3/events?offset=5&page_size=10", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.cmp.optimizely.com/v3/events?offset=5&page_size=10")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.cmp.optimizely.com/v3/events?offset=5&page_size=10"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// List of fetched events
{
"data": [
{
"id": "674ea40a7a9cac80ff78c95c",
"title": "The awesome event",
"description": "The awesome event's description",
"campaign_id": "66d953340019d7b86833ac6dg",
"start_date": "2024-11-26T11:00:34Z",
"end_date": "2024-11-26T11:30:34Z",
"is_all_day": false,
"is_archived": false,
"created_by": "66d837c62373533177b59db3",
"reference_id": "EVT-3",
"links": {
"self": "https://api.cmp.optimizely.com/v3/events/674ea40a7a9cac80ff78c95c",
"campaign": "https://api.cmp.optimizely.com/v3/campaigns/66d953340019d7b86833ac6d"
}
}
],
"pagination": {}
}401
// Authorization error
{
"message": "Not found",
"errors": ""
}403
// Permission error
{
"message": "Not found",
"errors": ""
}